cURL
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/transfers \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/transfers"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"Bridge": "<unknown>"
}
],
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}accounts
Get apigridv1accounts transfers
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
transfers
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address (Solana public key)
Query Parameters
Payment rail type filter
Transfer status filter
Currency filter
Start date filter
End date filter
Transaction hash filter
Number of items to return
Required range:
x >= 0Pagination cursor
Was this page helpful?
⌘I